diff --git a/src/backend/executor/nodeModifyTable.c b/src/backend/executor/nodeModifyTable.c
index dabaea9..119061e 100644
--- a/src/backend/executor/nodeModifyTable.c
+++ b/src/backend/executor/nodeModifyTable.c
@@ -1012,8 +1012,9 @@ lreplace:;
  *
  * Try to lock tuple for update as part of speculative insertion.  If
  * a qual originating from ON CONFLICT DO UPDATE is satisfied, update
- * (but still lock row, even though it may not satisfy estate's
- * snapshot).
+ * (otherwise, still lock row).  Updated (or merely locked) row may not
+ * satisfy estate's snapshot; only raise an error at higher isolation
+ * levels.
  *
  * Returns true if if we're done (with or without an update), or false if
  * the caller must retry the INSERT from scratch.
